openapi: 3.0.0
info:
  title: 'Logic CMS API'
  contact:
    email: support@cyber-ny.com
  version: '0.1'
paths:
  /api/videos:
    get:
      summary: 'Returns a list of videos'
      operationId: 'Api_VideosController::indexAction'
      responses:
        '200':
          description: 'A JSON array of videos'
        '404':
          description: 'Videos not found'
        '422':
          description: 'Method not allowed'
  '/api/videos/view/{id}':
    get:
      operationId: 'Api_VideosController::viewAction'
      parameters:
        -
          name: id
          in: path
          description: 'Application identifier for the video resource'
          required: true
      responses:
        '200':
          description: 'Returns video data'
        '404':
          description: 'Video not found'
        '422':
          description: 'ID not present'
  /api/videos/update:
    put:
      operationId: 'Api_VideosController::updateAction'
      responses:
        '200':
          description: 'Updates video data'
        '422':
          description: 'Method not allowed'
  /api/videos/delete:
    delete:
      operationId: 'Api_VideosController::deleteAction'
      responses:
        '200':
          description: 'Delete video data'
        '422':
          description: 'Method not allowed'
  /api/videos/create:
    post:
      operationId: 'Api_VideosController::createAction'
      responses:
        '200':
          description: 'Creates video data'
        '422':
          description: 'Method not allowed'
